Introduction

It's a snap!

Welcome to the It's a snap sample HTML file file.


Why we made the sample

 The current state of the MMC reference/development documentation is not entirely easy to understand. So, we've put together a series of samples, written in C++ only (no MFC, no ATL, no Wizards) to help you understand how to build MMC snap-ins.


Reference

Step One -

Step Two -

Step Three -

Step Four -


Step One

Step One - Getting Started

The first thing you need to do when building snap-ins...


Step Two

Step Two - Adding context menus

To add context menus to your snap-in requires...


Step Three

Step Three - Adding toolbars and buttons

To add toolbars and buttons to your snap-in requires...


Step Four

Step Four - Add HTMLHelp

To add HTMLHelp to your snap-in requires...